package utils;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.time.format.FormatStyle;
import java.util.Date;

/**
 * Die Klasse erzeugt die Message-Objekte
 * @version 0.0.2
 * @author berdan
 */


/**
 * 
 * @author berda
 */
public class Message implements Serializable {

    private String username;
    private String message;
    private String time = "00:00";
    
    /**
     * Konstruktor des Message Objektes
     * 
     * @param username Der Benutzername, welcher gewählt wurde
     * @param message Die Nachricht, welche geschrieben wurde
     * 
     */
    
    public Message(String username, String message) {
        this.username = username;
        this.message = message;
        this.time = new SimpleDateFormat("HH.mm.ss").format(new Date());
    }
    
    /**
     * toString Methode
     * @return Ein String, welcher die Informationen der Nachricht ausgibt
     */
    @Override
    public String toString() {
        return "nickname=" + username
                + ", message=" + message
        		+ ", time =" + time;
                //+ ", time=" + date;
    }

    /**
     * Funktion gibt false aus, sobald der Text der Nachricht "exit" ist
     * @return Einen Boolean, welcher false ausgibt, fals die Nachricht exit ist
     */
    public boolean exit() {
        return !message.equalsIgnoreCase("exit");
    }
    
    /**
     * Funktion, welche die Nachricht des Message Objektes zurück gibt
     * @return String, der die Nachricht enthält
     */
    public String getMessage() {
        return message;
    }
    /**
     * Funktion, welche den Usernamen des Message Objektes zurück gibt
     * @return String, welcher den Nutzernamen enthält
     */
    public String getUsername() {
        return username;
    }
    
    /**
     * 
     * @return String, welcher den Absendezeitpunkt enthält
     */
    public String getTime(){
        return time;
    }
}